# $Revision: 1.12 $, $Date: 2002/05/26 13:38:33 $
Summary:	GNOME base GUI library
Summary(pl):	Podstawowa biblioteka GUI GNOME
Name:		libgnomeui
Version:	1.117.1
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/gnome/pre-gnome2/sources/libgnomeui/%{name}-%{version}.tar.bz2
Patch0:		%{name}-ac_fixes.patch
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel >= 1.1.9
BuildRequires:	bonobo-activation-devel
BuildRequires:	esound-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libbonobo-devel
BuildRequires:	libbonoboui-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnome-devel
BuildRequires:	libgnomecanvas-devel >= 1.117.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don't use the X
Window System.)

%description -l pl
GNOME (GNU Network Object Model Environment) jest przyjaznym dla
uytkownika zestawem aplikacji i narzdzi z graficznym interfejsem do
uywania w poczeniu z menaderem okien X Window System. Pakiet
libgnomeui zawiera biblioteki zwizane z graficznym interfejsem
uytkownika potrzebne do uruchomienia GNOME (pakiet libgnome zawiera
biblioteki nie uywajce X Window System).

%package devel
Summary:	Headers for libgnomeui
Summary(pl):	Pliki nagwkowe libgnomeui
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	GConf2-devel >= 1.1.9
Requires:	bonobo-activation-devel
Requires:	esound-devel
Requires:	gnome-vfs2-devel
Requires:	libbonobo-devel
Requires:	libbonoboui-devel
Requires:	libglade2-devel
Requires:	libgnome-devel
Requires:	libgnomecanvas-devel >= 1.117.0

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to use
libgnomeui.

You should install the libgnomeui-devel package if you would like to
compile GNOME applications. You do not need to install
libgnomeui-devel if you just want to use the GNOME desktop
environment.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do kompilacji programw
uywajcych libgnomeui.

%package static
Summary:	Static libgnomeui libraries
Summary(pl):	Statyczne biblioteki libgnomeui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of libgnomeui libraries.

%description static -l pl
Statyczna wersja bibliotek libgnomeui.

%prep
%setup -q
%patch0 -p1

%build
rm -d missing
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
%configure \
	--enable-gtk-doc=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/libglade/2.0/*.??
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_pkgconfigdir}/*.pc
%{_includedir}/libgnomeui-2.0
%{_datadir}/gtk-doc/html/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libgnomeui.spec,v $
Revision 1.12  2002/05/26 13:38:33  kloczek
- updated to 1.117.1.

Revision 1.11  2002/05/26 11:37:07  kloczek
- release 1,
- added Requires rules in devel,
- use new %doc,
- added regenerate ac/am/lt files,
- removed some redundant BuildRequires rules.

Revision 1.10  2002/05/14 14:58:13  wiget
updated to 1.117.0

Revision 1.9  2002/05/14 10:46:01  wiget
updated to 0.116.0, relink fix, %%files fix

Revision 1.8  2002/04/26 15:03:41  michuz
- updated to 1.115.0

Revision 1.7  2002/04/18 15:41:04  michuz
 removed patch0

Revision 1.6  2002/04/14 10:55:51  michuz
- updated to 1.114.0

Revision 1.5  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/06 11:25:29  qboosh
- separated -static, gzip doc, added pl translations

Revision 1.2  2002/02/01 19:32:27  kloczek
- partialy rewrited,
- switch to bzipped2 tar ball.

Based on spec from RedHat.
